#
# "%W% %G%"
# chase 	08/29/91 	Fix mistaken "null" rules for .u .o .fc .out
# chase 	12/14/90 	First cut, created by doing : 
#				(1) "make -fp - </dev/null"
#				(2) removing def which came from EVs 
#				(3) editing to conform to desc file syntax
#				
# 
# Makefile containing "builtin rules" used in make on SGI

INSTALL          = install
ARFLAGS          = crv
AR               = ar
CIFLAGS          = 
CI               = ci
COFLAGS          = 
CO               = co
LOADLIBES        = 
LDFLAGS          = 
LD               = ld
LFLAGS           = 
LEX              = lex
YFLAGS           = 
YACC             = yacc
F2CFLAGS         = 
MKF2C            = mkf2c
EFLAGS           = 
RFLAGS           = 
FFLAGS           = -O
FC               = f77
F77              = f77
PL1FLAGS         = -O
PL1              = pl1
PFLAGS           = -O
PC               = pc
ASFLAGS          = 
AS               = as
C++FLAGS         = -O
C++C             = CC
CXXFLAGS         = -O
CXX              = CC
C++              = CC
CFLAGS           = -O
CC               = cc

.e.o:
	$(FC) $(RFLAGS) $(EFLAGS) $(FFLAGS) -c $<

.r.o:
	$(FC) $(RFLAGS) $(EFLAGS) $(FFLAGS) -c $<

.s.out:
	$(CC) $(CFLAGS) $< $(LOADLIBES) -o $@

.C.out:
	$(C++) $(C++FLAGS) $< $(LOADLIBES) -o $@

.c++.out:
	$(C++) $(C++FLAGS) $< $(LOADLIBES) -o $@

.c.out:
	$(CC) $(CFLAGS) $< $(LOADLIBES) -o $@

.o.out:
	$(CC) $(CFLAGS) $< $(LOADLIBES) -o $@

.f.out:
	$(FC) $(EFLAGS) $(RFLAGS) $(FFLAGS) $< $(LOADLIBES) -o $@
	-rm $*.o

.r.out:
	$(FC) $(EFLAGS) $(RFLAGS) $(FFLAGS) $< $(LOADLIBES) -o $@
	-rm $*.o

.e.out:
	$(FC) $(EFLAGS) $(RFLAGS) $(FFLAGS) $< $(LOADLIBES) -o $@
	-rm $*.o

.y.out:
	$(YACC) $(YFLAGS) $<
	$(CC) $(CFLAGS) y.tab.c $(LOADLIBES) -ly -o $@
	rm y.tab.c

.l.out:
	$(LEX) $(LFLAGS) $<
	$(CC) $(CFLAGS) lex.yy.c $(LOADLIBES) -ll -o $@
	rm lex.yy.c

.C.s:
	$(C++C) $(C++FLAGS) -S $<

.c++.s:
	$(C++C) $(C++FLAGS) -S $<

.c.s:
	$(CC) $(CFLAGS) -S $<

.p.u:
	$(PC) $(PFLAGS) -j $<

.p.o:
	$(PC) $(PFLAGS) -c $<

.p.a:
	$(PC) -c $(PFLAGS) $<
	$(AR) $(ARFLAGS) $@ $*.o
	-rm -f $*.o

.Y.o:
	$(YACC) $(YFLAGS) $<
	$(C++C) $(YACCMKDEPFLAGS) $(C++FLAGS) -c y.tab.c
	-rm -f y.tab.c
	mv -f y.tab.o $@

.Y.C:
	$(YACC) $(YFLAGS) $<
	mv -f y.tab.c $@

.L.o:
	$(LEX) $(LFLAGS) $<
	$(C++C) $(LEXMKDEPFLAGS) $(C++FLAGS) -c lex.yy.c
	-rm -f lex.yy.c; mv -f lex.yy.o $@

.L.C:
	$(LEX) $(LFLAGS) $<
	mv -f lex.yy.c $@

.c++.o:
	$(C++C) $(C++FLAGS) -c $<

.cc.o:
	$(C++C) $(C++FLAGS) -c $<

.cpp.o:
	$(C++C) $(C++FLAGS) -c $<

.cxx.o:
	$(C++C) $(C++FLAGS) -c $<

.C.o:
	$(C++C) $(C++FLAGS) -c $<

.c++.a:
	$(C++C) -c $(C++FLAGS) $<
	$(AR) $(ARFLAGS) $@ $*.o
	-rm -f $*.o

.cc.a:
	$(C++C) -c $(C++FLAGS) $<
	$(AR) rv $@ $*.o
	rm -f $*.o

.cpp.a:
	$(C++C) -c $(C++FLAGS) $<
	$(AR) rv $@ $*.o
	rm -f $*.o

.cxx.a:
	$(CXX) -c $(CXXFLAGS) $<
	$(AR) rv $@ $*.o
	rm -f $*.o

.C.a:
	$(C++C) -c $(C++FLAGS) $<
	$(AR) $(ARFLAGS) $@ $*.o
	-rm -f $*.o

.y.o:
	$(YACC) $(YFLAGS) $<
	$(CC) $(YACCMKDEPFLAGS) $(CFLAGS) -c y.tab.c
	-rm -f y.tab.c
	mv -f y.tab.o $@

.y.c:
	$(YACC) $(YFLAGS) $<
	mv -f y.tab.c $@

.s.o:
	$(AS) $(ASFLAGS) -o $@ $<

.s.a:
	$(AS) $(ASFLAGS) -o $*.o $*.s
	$(AR) $(ARFLAGS) $@ $*.o
	-rm -f $*.o

.l.o:
	$(LEX) $(LFLAGS) $<
	$(CC) $(LEXMKDEPFLAGS) $(CFLAGS) -c lex.yy.c
	-rm -f lex.yy.c; mv -f lex.yy.o $@

.l.c:
	$(LEX) $(LFLAGS) $<
	mv -f lex.yy.c $@

.f.u:
	$(F77) $(FFLAGS) -j $*.f

.f.o:
	$(F77) $(FFLAGS) -c $*.f

.f.a:
	$(F77) $(FFLAGS) -c $*.f
	$(AR) $(ARFLAGS) $@ $*.o
	-rm -f $*.o

.c.u:
	$(CC) $(CFLAGS) -j $<

.c.o:
	$(CC) $(CFLAGS) -c $<

.c.a:
	$(CC) -c $(CFLAGS) $<
	$(AR) $(ARFLAGS) $@ $*.o
	-rm -f $*.o

.r:

.e:

.p:
	$(PC) $(PFLAGS) $< $(LDFLAGS) -o $@

.c++:
	$(C++) $(C++FLAGS) $< $(LDFLAGS) -o $@

.cc:
	$(C++) $(C++FLAGS) $< $(LDFLAGS) -o $@

.cpp:
	$(C++) $(C++FLAGS) $< $(LDFLAGS) -o $@

.cxx:
	$(C++) $(C++FLAGS) $< $(LDFLAGS) -o $@

.u:

.out:

.L:

.Y:

.C:
	$(C++) $(C++FLAGS) $< $(LDFLAGS) -o $@

.f:
	$(F77) $(FFLAGS) -o $@ $< $(LDFLAGS)

.h:

.sh:
	rm -f $@; cp $< $@; chmod a+x,u+w  $@

.s:
	$(AS) $(ASFLAGS) -o $*.o $<
	$(CC) -o $@ $*.o $(LDFLAGS)
	-rm -f $*.o

.l:

.y:

.c:
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

.o:
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

.SUFFIXES: .o .c .cpp .c++ .cxx .cc .C .y .l .s .sh .h .f .Y .L .out .u  \
	   .p .e .r .a .java .class

# Disallow winkin for process_def_object targets 
.NO_WINK_IN: %.pdo
